POD2TEXI(1)

NUME
pod2texi - convertește Pod în Texinfo

SINOPSIS
 pod2texi [OPȚIUNE]... POD...

DESCRIERE
Convertește fișiere Pod în Texinfo. Există două moduri de operare de bază. În primul, în mod implicit, fiecare Pod este convertit într-un manual Texinfo de sine stătător.

În al doilea, dacă argumentul opțiunii „--base-level” este stabilit mai mare decât 0, fiecare Pod este convertit într-un fișier potrivit pentru @include și se generează încă un fișier cu un meniu principal și toate @include.

OPȚIUNI

--appendix-sections
    Utilizează comenzile de secționare a apendicelui (@appendix, ...) în locul comenzilor de secționare numerotate implicite din Texinfo @ ( @chapter, @section, ...).

--base-level=NUMĂR|NUME
    Stabilește nivelul comenzilor „head1”. Poate fi un număr întreg sau o comandă de secționare Texinfo (fără „@”): 1 corespunde nivelului @chapter/@unnumbered, 2 nivelului @section, și așa mai departe. Valoarea implicită este 0, ceea ce înseamnă că comenzile „head1” sunt în continuare emise sub formă de capitole, dar rezultatul este aranjat ca un manual de sine stătător.

    Dacă nivelul nu este 0, fișierul Pod este redat ca un fragment dintr-un manual Texinfo adecvat pentru @include. În acest caz, fiecare fișier Pod are o comandă suplimentară de secționare care acoperă întregul fișier, cu un nivel deasupra valorii „--base-level”. Prin urmare, pentru a face din fiecare fișier Pod un capitol dintr-un manual de mari dimensiuni, ar trebui să utilizați „section” ca nivel de bază.

    Pentru un exemplu de creare a Texinfo din documentația Perl în sine, consultați „contrib/perldoc-all” în distribuția sursei Texinfo.

--debug=NUMĂR
    Stabilește nivelul de depanare la „NUMĂR”.

--generate-setfilename
    Generează o linie @setfilename pentru manualele independente. Poate fi negată cu "--no-generate-setfilename". Ignorată dacă "--base-level" nu este 0.

--headings-as-sections
    Folosiți comenzile de rubrici (@heading, ...) în locul comenzilor de secțiuni numerotate implicite Texinfo @-comandă (@chapter, @section, ...). Comanda de secționare care acoperă întreaga ieșire a fișierului pentru fiecare fișier Pod, dacă --base-level nu este 0, este o comandă numerotată.

--help
    Afișează mesajul de ajutor și iese.

--menus
    Meniurile nodurilor de ieșire. În cazul în care există un manual principal, meniul nodului superior al acestuia este întotdeauna emis, deoarece este generat un meniu principal. Alte meniuri de noduri nu sunt afișate în cazul implicit.

--outdir=NUME
    Dacă există un manual principal cu fișiere de includere (fiecare corespunzând unui fișier Pod de intrare), atunci aceste fișiere de includere sunt plasate în directorul „NUME”. Valoarea implicită se bazează pe "--subdir".

--output=NUME
    Numele primului manual sau al manualului principal, dacă există un manual principal. Valoarea implicită este de a scrie la ieșirea standard.

--no-section-nodes
    Utilizează ancore pentru secțiuni în loc de noduri.

--no-fill-section-gaps
    Nu completează golurile de secționare cu fișiere @unnumbered goale. În mod normal, este bine să păstrați ierarhia de secționare intactă.

--preamble=ȘIR
    Inserează „ȘIR” ca paragraf de început înainte de meniu și include. Dacă „ȘIR” este definit la „-”, se citește paragraful de început de la intrarea standard. Paragraful de început implicit este un început minim pentru un document Texinfo.

--setfilename=ȘIR
    Utilizează „ȘIR” în paragraful de început înainte de meniu și include pentru @setfilename pentru manualul principal, dacă "--base-level" nu este stabilită la 0. Ignorată dacă "--base-level" este 0. Nici un @setfilename nu este emis în cazul implicit pentru manualul principal.

--subdir=NUME
    Dacă există un manual principal cu fișiere de includere (fiecare corespunzând unui fișier de intrare Pod), atunci aceste fișiere de includere sunt incluse din directorul „NUME”.

    Dacă „-outdir” este definit, „NUME” ar trebui în general să fie definit la directorul relativ dintre manualul principal și argumentul „--outdir”.

--unnumbered-sections
    Utilizează comenzile de secționare nenumerotate ("@unnumberred, ...) în locul comenzilor @ de secționare numerotate implicite din Texinfo (@chapter, @section, ...).

--top=TOP
    Numele elementului @top pentru manualul principal. Poate conține cod Texinfo.

--version
    Afișează informațiile despre versiune și iese.

CONSULTAȚI ȘI
Pod::Simple::Texinfo. perlpod. Manualul Texinfo. Pagina principală a Texinfo: <https://www.gnu.org/software/texinfo/>

DREPTURI DE AUTOR și LICENȚĂ
Drepturi de autor © 2012 - 2024 Free Software Foundation, Inc.

Acest program este software liber; îl puteți redistribui și/sau modifica în conformitate cu termenii Licenței Publice Generale GNU publicată de Free Software Foundation; fie versiunea 3 a Licenței, fie (la alegerea dumneavoastră) orice versiune ulterioară.

Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

AUTOR
Patrice Dumas <bug-texinfo@gnu.org>.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.